> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kataven.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kataven Hub API — FAQs endpoints

> REST API reference for Kataven FAQs — quick-lookup question/answer entries surfaced to agents.

FAQs are simple title/content entries the agent can quote. Wrapped by the [Python SDK](/sdks/python/faqs) and [Node SDK](/sdks/node/faqs).

## Endpoints at a glance

| Method   | Path                                          | Summary          |
| -------- | --------------------------------------------- | ---------------- |
| `GET`    | [`/api/v1/faqs`](#get-api-v1-faqs)            | List FAQs        |
| `POST`   | [`/api/v1/faqs`](#post-api-v1-faqs)           | Create an FAQ    |
| `GET`    | [`/api/v1/faqs/{id}`](#get-api-v1-faqs-id)    | Get a single FAQ |
| `PUT`    | [`/api/v1/faqs/{id}`](#put-api-v1-faqs-id)    | Update an FAQ    |
| `DELETE` | [`/api/v1/faqs/{id}`](#delete-api-v1-faqs-id) | Delete an FAQ    |

## Reference

### `GET /api/v1/faqs`

List FAQs

**Responses**

| Code  | Description    | Body     |
| ----- | -------------- | -------- |
| `200` | OK             | `object` |
| `500` | Database error | `string` |

**Example**

<CodeGroup>
  ```bash curl theme={null}
  curl https://api.kataven.ai/v1/faqs \
    -H "Authorization: Bearer $KATAVEN_API_KEY"
  ```
</CodeGroup>

### `POST /api/v1/faqs`

Create an FAQ

**Request body** (`application/json`)

Schema: `handlers.FAQ`. Server-set fields (`id`, `created_at`, `updated_at`, …) are ignored if supplied; only the user-settable fields are shown below.

| Field      | Type            | Description                                                                                      |
| ---------- | --------------- | ------------------------------------------------------------------------------------------------ |
| `category` | `string`        | e.g. `general`                                                                                   |
| `content`  | `string`        | e.g. `We're open Monday through Friday, 9am to 6pm Pacific Time. Closed on US federal holidays.` |
| `name`     | `string`        | e.g. `hours`                                                                                     |
| `summary`  | `string`        | e.g. `Mon–Fri 9am–6pm Pacific.`                                                                  |
| `tags`     | `array<string>` | e.g. `['hours', 'general']`                                                                      |
| `title`    | `string`        | e.g. `What are your business hours?`                                                             |

**Responses**

| Code  | Description    | Body                       |
| ----- | -------------- | -------------------------- |
| `201` | Created        | [`handlers.FAQ`](#schemas) |
| `400` | Invalid body   | `string`                   |
| `500` | Database error | `string`                   |

**Example**

<CodeGroup>
  ```bash curl theme={null}
  curl https://api.kataven.ai/v1/faqs \
    -X POST \
    -H "Authorization: Bearer $KATAVEN_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "category": "general",
    "content": "We're open Monday through Friday, 9am to 6pm Pacific Time. Closed on US federal holidays.",
    "name": "hours",
    "summary": "Mon–Fri 9am–6pm Pacific.",
    "tags": [
      "hours",
      "general"
    ],
    "title": "What are your business hours?"
  }'
  ```
</CodeGroup>

### `GET /api/v1/faqs/{id}`

Get a single FAQ

**Parameters**

| Name | In   | Type     | Required | Description           |
| ---- | ---- | -------- | -------- | --------------------- |
| `id` | path | `string` | Yes      | FAQ id (uuid) or name |

**Responses**

| Code  | Description   | Body                       |
| ----- | ------------- | -------------------------- |
| `200` | OK            | [`handlers.FAQ`](#schemas) |
| `404` | FAQ not found | `string`                   |

**Example**

<CodeGroup>
  ```bash curl theme={null}
  curl https://api.kataven.ai/v1/faqs/agent_01HZ2N... \
    -H "Authorization: Bearer $KATAVEN_API_KEY"
  ```
</CodeGroup>

### `PUT /api/v1/faqs/{id}`

Update an FAQ

**Parameters**

| Name | In   | Type     | Required | Description           |
| ---- | ---- | -------- | -------- | --------------------- |
| `id` | path | `string` | Yes      | FAQ id (uuid) or name |

**Request body** (`application/json`)

Schema: `handlers.FAQ`. Server-set fields (`id`, `created_at`, `updated_at`, …) are ignored if supplied; only the user-settable fields are shown below.

| Field      | Type            | Description                                                                                      |
| ---------- | --------------- | ------------------------------------------------------------------------------------------------ |
| `category` | `string`        | e.g. `general`                                                                                   |
| `content`  | `string`        | e.g. `We're open Monday through Friday, 9am to 6pm Pacific Time. Closed on US federal holidays.` |
| `name`     | `string`        | e.g. `hours`                                                                                     |
| `summary`  | `string`        | e.g. `Mon–Fri 9am–6pm Pacific.`                                                                  |
| `tags`     | `array<string>` | e.g. `['hours', 'general']`                                                                      |
| `title`    | `string`        | e.g. `What are your business hours?`                                                             |

**Responses**

| Code  | Description    | Body                       |
| ----- | -------------- | -------------------------- |
| `200` | OK             | [`handlers.FAQ`](#schemas) |
| `404` | FAQ not found  | `string`                   |
| `500` | Database error | `string`                   |

**Example**

<CodeGroup>
  ```bash curl theme={null}
  curl https://api.kataven.ai/v1/faqs/agent_01HZ2N... \
    -X PUT \
    -H "Authorization: Bearer $KATAVEN_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "category": "general",
    "content": "We're open Monday through Friday, 9am to 6pm Pacific Time. Closed on US federal holidays.",
    "name": "hours",
    "summary": "Mon–Fri 9am–6pm Pacific.",
    "tags": [
      "hours",
      "general"
    ],
    "title": "What are your business hours?"
  }'
  ```
</CodeGroup>

### `DELETE /api/v1/faqs/{id}`

Delete an FAQ

Default FAQs cannot be deleted.

**Parameters**

| Name | In   | Type     | Required | Description           |
| ---- | ---- | -------- | -------- | --------------------- |
| `id` | path | `string` | Yes      | FAQ id (uuid) or name |

**Responses**

| Code  | Description   | Body     |
| ----- | ------------- | -------- |
| `200` | OK            | `object` |
| `404` | FAQ not found | `string` |

**Example**

<CodeGroup>
  ```bash curl theme={null}
  curl https://api.kataven.ai/v1/faqs/agent_01HZ2N... \
    -X DELETE \
    -H "Authorization: Bearer $KATAVEN_API_KEY"
  ```
</CodeGroup>
